<html>
  <head>
    <title></title>
    <meta content="">
    <link rel="stylesheet" type="text/css" href="app.css"/>
  </head>
  <body>
    <div id="app">
      <page-layout>
        <template #header>
          <h1>Here might be a page title.</h1>
        </template>

        <p>A paragraph for the main content.</p>
        <p>And another one.</p>

        <template #footer>
          <p>Here's some contact info.</p>
        </template>
      </page-layout>
    </div>
    
    <script type="text/x-template" id="page-layout-template">
      <div class="container">
        <header>
          <slot name="header"></slot>
        </header>
        <main>
          <slot></slot>
        </main>
        <footer>
          <slot name="footer"></slot>
        </footer>
      </div>
    </script>
    
    <script src="https://unpkg.com/vue"></script>
    <script src="app.js"></script>
  </body>
</html>
